Zur Startseite

Falcon - Vereisten

Falcon 5.x vereisten

Hieronder de minimum hardware en software vereisten om Falcon 5.x te installeren en gebruiken:

Besturingssystemen Hardware (minimum vereisten) KNX Network Interface

Microsoft Windows XP SP3 (x32)

Microsoft Windows 7 SP1 (x32/x64)

Microsoft Windows 8/ 8.1 (x32/x64)

Microsoft Windows 10 x32/x64

Microsoft Server 2008 R2 SP1 (x64/x64)

Microsoft Server 2012 x64

 

 

CPU: ≥  1.5 GHz
RAM: ≥  2 GB
HDD: ≥  1 GB

 

 

  • USB
  • IP

Ontwikkelingsomgeving

Het .NET Framework 4.0 (of hoger) moet geïnstalleerd zijn. Dit kan tegelijkertijd met de setup van de ontwikkelomgeving. Ga naar Ontwikkelomgeving als deze stap kan worden overgeslagen.

Ontwikkelomgeving

Er is een ontwikkelomgeving vereist die de ontwikkeling van .NET Framework 4.0 (of hoger) DLL’s ondersteunt. Voorbeelden van ontwikkelomgevingen zijn: Microsoft Visual Studio.    

  1. Microsoft Visual Studio 2010 (of hoger): er zijn geen nadere voorwaarden voor de ontwikkelomgeving vereist. Meer informatie over Microsoft Visual Studio-versies en de voorwaarden vindt u hier.
  2. Microsoft Visual Studio 2010 (of hoger) Express Edition: er zijn geen nadere voorwaarden voor de ontwikkelomgeving vereist. Meer informatie over Microsoft Visual Studio-versies en de voorwaarden vindt u hier.

Het ligt niet in de verwachting dat er een versie van Falcon op de markt komt met bovengenoemde besturingssystemen in een virtuele omgeving (zoals Virtual PC®; VM Ware®). Op deze systemen werkt u op eigen risico. KNX Association geeft hier geen garantie of ondersteuning.

Falcon 2.x vereisten

Hieronder de minimum hardware en software vereisten om Falcon 2.x te installeren en gebruiken:

Besturingssystemen Hardware (minimum vereisten) KNX Network Interface

Windows Vista; SP2 (32/64 Bit)

Windows 7 (32/64 Bit)

Windows Server 2003;
SP2 (32/64 Bit)
Windows Server 2008;
SP2 (32/64 Bit)
Windows Server 2008 R2;
SP1 (32/64 Bit)

 

 

CPU: ≥  1.5 GHz
RAM: ≥  1 GB
HDD: ≥  1 GB

  • RS232 (niet op x64; niet op server OS)
  • USB
  • IP

Ontwikkelingsomgeving

COM-compatible (zoals VC++, VBasic, JavaScript, VBScript, php,...)

Een versie van Falcon met een bovenstaand besturingssysteem in een virtuele omgeving (zoals Virtual PC®; VM Ware®) en/of Remote Desktop is niet voorzien. Op deze systemen kunt u op eigen risico werken. KNX Association geeft geen garantie of ondersteuning in dit geval.